## docker-registry 2.1.1~ds1

=== debian/changelog ===
docker-registry (2.1.1~ds1-4) unstable; urgency=medium

  * Add empty "/var/lib/docker-registry" directory so it gets purged
    appropriately (Closes: #803446)

 -- Tianon Gravi <tianon@debian.org>  Tue, 03 Nov 2015 22:28:48 -0800

docker-registry (2.1.1~ds1-3) unstable; urgency=medium

  * Skip tests on architectures other than amd64

 -- Tianon Gravi <tianon@debian.org>  Sat, 24 Oct 2015 13:21:25 -0700

docker-registry (2.1.1~ds1-2) unstable; urgency=medium

  * Swap "Build-Depends" to fix buildd building (Closes: #802796)

 -- Tianon Gravi <tianon@debian.org>  Fri, 23 Oct 2015 13:27:33 -0700

docker-registry (2.1.1~ds1-1) unstable; urgency=medium

  * Initial release (Closes: #757829)

 -- Tianon Gravi <tianon@debian.org>  Thu, 17 Sep 2015 14:30:57 -0700
