=== debian/control ===
Source: docker-registry
Section: utils
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-exec,
               dh-golang,
               golang-check.v1-dev | golang-gopkg-check.v1-dev,
               golang-docker-dev | golang-github-docker-docker-dev,
               golang-github-adroll-goamz-dev,
               golang-github-azure-azure-sdk-for-go-dev,
               golang-github-docker-libtrust-dev,
               golang-github-garyburd-redigo-dev,
               golang-github-gorilla-handlers-dev,
               golang-github-gorilla-mux-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-ncw-swift-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stevvooe-resumable-dev,
               golang-go,
               golang-go.crypto-dev | golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
Standards-Version: 3.9.6
Homepage: https://github.com/docker/distribution
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-distribution.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-docker-distribution.git
XS-Go-Import-Path: github.com/docker/distribution

Package: docker-registry
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Docker toolset to pack, ship, store, and deliver content
 The Docker toolset to pack, ship, store, and deliver content.
 .
 The Docker Registry 2.0 implementation contained in this package is for storing
 and distributing Docker images. It supersedes the docker/docker-registry
 project with a new API design, focused around security and performance.
 .
 This project should provide an implementation to a V2 API for use in the Docker
 core project. The API should be embeddable and simplify the process of securely
 pulling and pushing content from docker daemons.
 .
 The new registry implementation provides the following benefits:
 .
  * faster push and pull
  * new, more efficient implementation
  * simplified deployment
  * pluggable storage backend
  * webhook notifications

Package: golang-github-docker-distribution-dev
Architecture: all
Depends: golang-github-adroll-goamz-dev,
         golang-github-azure-azure-sdk-for-go-dev,
         golang-github-docker-docker-dev | golang-docker-dev,
         golang-github-docker-libtrust-dev,
         golang-github-garyburd-redigo-dev,
         golang-github-gorilla-handlers-dev,
         golang-github-gorilla-mux-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-ncw-swift-dev,
         golang-github-sirupsen-logrus-dev | golang-logrus-dev,
         golang-github-stevvooe-resumable-dev,
         golang-go,
         golang-golang-x-crypto-dev | golang-go.crypto-dev,
         golang-golang-x-net-dev,
         golang-gopkg-check.v1-dev | golang-check.v1-dev,
         golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Docker toolset to pack, ship, store, and deliver content (source)
 The Docker toolset to pack, ship, store, and deliver content.
 .
 The Docker Registry 2.0 implementation contained in this package is for storing
 and distributing Docker images. It supersedes the docker/docker-registry
 project with a new API design, focused around security and performance.
 .
 This project should provide an implementation to a V2 API for use in the Docker
 core project. The API should be embeddable and simplify the process of securely
 pulling and pushing content from docker daemons.
 .
 The new registry implementation provides the following benefits:
 .
  * faster push and pull
  * new, more efficient implementation
  * simplified deployment
  * pluggable storage backend
  * webhook notifications
 .
 This package contains the source.
