## docker-registry 2.3.0~ds1

=== debian/changelog ===
docker-registry (2.3.0~ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * (Build-)Depends += golang-github-bugsnag-bugsnag-go-dev.
  * Removed "no-bugsnag.patch".
  * Removed obsolete "1125.patch".
  * Standards-Version: 3.9.7.
  * Install documentation.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 09 Mar 2016 11:34:37 +1100

docker-registry (2.2.0~ds1-2) unstable; urgency=medium

  * Simplify "BASE" in sysvinit script for better compatibility

 -- Tianon Gravi <tianon@debian.org>  Tue, 08 Mar 2016 06:43:13 -0800

docker-registry (2.2.0~ds1-1) unstable; urgency=medium

  * Update to 2.2.0 upstream release

 -- Tianon Gravi <tianon@debian.org>  Fri, 19 Feb 2016 09:10:29 -0800
