=== debian/control ===
--- 
+++ 
@@ -10,19 +10,21 @@
                golang-docker-dev | golang-github-docker-docker-dev,
                golang-github-adroll-goamz-dev,
                golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-bugsnag-bugsnag-go-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
                golang-github-gorilla-handlers-dev,
                golang-github-gorilla-mux-dev,
                golang-github-mitchellh-mapstructure-dev,
-               golang-github-ncw-swift-dev,
+               golang-github-ncw-swift-dev (>= 0.0~git20151108),
                golang-github-sirupsen-logrus-dev,
+               golang-github-spf13-cobra-dev,
                golang-github-stevvooe-resumable-dev,
                golang-go,
-               golang-go.crypto-dev | golang-golang-x-crypto-dev,
+               golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/docker/distribution
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-distribution.git
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-docker-distribution.git
@@ -55,6 +57,7 @@
 Architecture: all
 Depends: golang-github-adroll-goamz-dev,
          golang-github-azure-azure-sdk-for-go-dev,
+         golang-github-bugsnag-bugsnag-go-dev,
          golang-github-docker-docker-dev | golang-docker-dev,
          golang-github-docker-libtrust-dev,
          golang-github-garyburd-redigo-dev,
@@ -63,9 +66,10 @@
          golang-github-mitchellh-mapstructure-dev,
          golang-github-ncw-swift-dev,
          golang-github-sirupsen-logrus-dev | golang-logrus-dev,
+         golang-github-spf13-cobra-dev,
          golang-github-stevvooe-resumable-dev,
          golang-go,
-         golang-golang-x-crypto-dev | golang-go.crypto-dev,
+         golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-gopkg-check.v1-dev | golang-check.v1-dev,
          golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,
