=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,12 @@
 endif
 
 override_dh_auto_build:
-	dh_auto_build -- -ldflags '-X github.com/docker/distribution/version.Version $(VERSION)'
+	dh_auto_build -- -ldflags '-X github.com/docker/distribution/version.Version=$(VERSION)'
 
 override_dh_auto_test:
 ifeq (true, $(RUN_TESTS))
 	# health/checks hit the internet, and thus fail
-	DH_GOLANG_EXCLUDES='health/checks' dh_auto_test -- -test.short
+	DH_GOLANG_EXCLUDES='distribution/registry/handlers health/checks' dh_auto_test -- -test.short
 else
 	# skip the tests on platforms where they fail
 endif
