## docker-registry 2.3.1~ds1

=== debian/changelog ===
docker-registry (2.3.1~ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Mar 2016 12:55:53 +1100
