## docker-registry 2.3.1~ds2

=== debian/changelog ===
docker-registry (2.3.1~ds2-1) unstable; urgency=medium

  * Team upload.
  * Ship with vendored azure-sdk-for-go/storage (Closes: #822146).

 -- Daniel Stender <stender@debian.org>  Sun, 24 Apr 2016 17:32:07 +0200
