=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                golang-check.v1-dev | golang-gopkg-check.v1-dev,
                golang-docker-dev | golang-github-docker-docker-dev,
                golang-github-adroll-goamz-dev,
-               golang-github-azure-azure-sdk-for-go-dev,
+#               golang-github-azure-azure-sdk-for-go-dev,
                golang-github-bugsnag-bugsnag-go-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
@@ -56,7 +56,7 @@
 Package: golang-github-docker-distribution-dev
 Architecture: all
 Depends: golang-github-adroll-goamz-dev,
-         golang-github-azure-azure-sdk-for-go-dev,
+#         golang-github-azure-azure-sdk-for-go-dev,
          golang-github-bugsnag-bugsnag-go-dev,
          golang-github-docker-docker-dev | golang-docker-dev,
          golang-github-docker-libtrust-dev,
