## docker-registry 2.4.1~ds1

=== debian/changelog ===
docker-registry (2.4.1~ds1-2) unstable; urgency=medium

  * Team upload.

  [ Nicolas Braud-Santoni ]
  * Fixed conffiles permissions (Closes: #806261).
  * Removed tests that access the network (Closes: #830209).
  * Fix config directory permissions.
    Thanks to Rhonda for the guidance
  * Enable tests on all archs.

  [ Dmitry Smirnov ]
  * Fixed daemon start command in .service and .init scripts.
  * Use dh-systemd.
  * --parallel build/test.
  * Patch config file to allow "delete" by default.
  * Added myself to Uploaders.

  [ Tim Potter ]
  * Add me to uploaders

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 18 Aug 2016 14:00:44 +1000

docker-registry (2.4.1~ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Removed "Built-Using" from -dev package.
  * Build-Depends:
    + golang-github-aws-aws-sdk-go-dev
    - golang-github-adroll-goamz-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 Jun 2016 15:35:44 +1000

docker-registry (2.3.1~ds2-2) unstable; urgency=medium

  * Team upload.
  * Dropped unused dependency on "golang-github-docker-docker-dev"
    to avoid circular dependency with Docker.
  * Standards-Version: 3.9.8.
  * Vcs-Git URL to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 12 Jun 2016 19:10:11 +1000
