=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: utils
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>
+Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>, Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-exec,
                dh-golang,
+               dh-systemd,
+#              golang-github-docker-goamz-dev,
+               golang-github-aws-aws-sdk-go-dev,
                golang-check.v1-dev | golang-gopkg-check.v1-dev,
-               golang-docker-dev | golang-github-docker-docker-dev,
-               golang-github-adroll-goamz-dev,
-#               golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-azure-azure-sdk-for-go-dev,
                golang-github-bugsnag-bugsnag-go-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
@@ -24,10 +25,10 @@
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/docker/distribution
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-distribution.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-docker-distribution.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-distribution.git
 XS-Go-Import-Path: github.com/docker/distribution
 
 Package: docker-registry
@@ -55,10 +56,10 @@
 
 Package: golang-github-docker-distribution-dev
 Architecture: all
-Depends: golang-github-adroll-goamz-dev,
+Depends: ${misc:Depends},
+         golang-github-aws-aws-sdk-go-dev,
 #         golang-github-azure-azure-sdk-for-go-dev,
          golang-github-bugsnag-bugsnag-go-dev,
-         golang-github-docker-docker-dev | golang-docker-dev,
          golang-github-docker-libtrust-dev,
          golang-github-garyburd-redigo-dev,
          golang-github-gorilla-handlers-dev,
@@ -73,9 +74,6 @@
          golang-golang-x-net-dev,
          golang-gopkg-check.v1-dev | golang-check.v1-dev,
          golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
 Description: Docker toolset to pack, ship, store, and deliver content (source)
  The Docker toolset to pack, ship, store, and deliver content.
  .
