## docker-registry 2.6.0~rc.1+git20161216.38.28602af3

=== debian/changelog ===
docker-registry (2.6.0~rc.1+git20161216.38.28602af3-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Tim Potter <tpot@hpe.com>  Mon, 30 Jan 2017 15:04:02 +1100
