=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
                dh-exec,
                dh-golang,
                dh-systemd,
-#              golang-github-docker-goamz-dev,
+               golang-github-docker-goamz-dev,
                golang-github-aws-aws-sdk-go-dev,
                golang-check.v1-dev | golang-gopkg-check.v1-dev,
                golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-bshuster-repo-logrus-logstash-hook-dev,
                golang-github-bugsnag-bugsnag-go-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
@@ -24,6 +25,7 @@
                golang-go,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
+               golang-github-rsc-letsencrypt-dev,
                golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/docker/distribution
@@ -33,7 +35,7 @@
 
 Package: docker-registry
 Architecture: any
-Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, lsb-base
 Built-Using: ${misc:Built-Using}
 Description: Docker toolset to pack, ship, store, and deliver content
  The Docker toolset to pack, ship, store, and deliver content.
@@ -73,6 +75,7 @@
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-gopkg-check.v1-dev | golang-check.v1-dev,
+         golang-github-rsc-letsencrypt-dev,
          golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,
 Description: Docker toolset to pack, ship, store, and deliver content (source)
  The Docker toolset to pack, ship, store, and deliver content.
