## docker-registry 2.6.2~ds1

=== debian/changelog ===
docker-registry (2.6.2~ds1-1) unstable; urgency=medium

  [ Tianon Gravi ]
  * Update to 2.6.2 upstream release
    - Fixes CVE-2017-11468 (Closes: #869242)
    - https://github.com/docker/distribution/releases/tag/v2.6.2

  [ Konstantinos Margaritis ]
  * Replace golang-go with golang-any in Build-Depends, remove golang-go from
    Depends

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 09 Aug 2017 17:29:31 +0300
