=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-github-stevvooe-resumable-dev,
-               golang-go,
+               golang-any,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-github-rsc-letsencrypt-dev,
@@ -71,7 +71,6 @@
          golang-github-sirupsen-logrus-dev | golang-logrus-dev,
          golang-github-spf13-cobra-dev,
          golang-github-stevvooe-resumable-dev,
-         golang-go,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-gopkg-check.v1-dev | golang-check.v1-dev,
