## docker-registry 2.7.1~ds1

=== debian/changelog ===
docker-registry (2.7.1~ds1-2) unstable; urgency=medium

  * dev: Depends += "golang-github-docker-go-metrics-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 13 Sep 2019 16:16:03 +1000

docker-registry (2.7.1~ds1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0.
  * Testsuite: autopkgtest-pkg-go
  * DH & compat to version 12.
  * Removed upstart support.
  * Added "Pre-Depends" field.
  * Build-Depends:
    + golang-github-opencontainers-go-digest-dev
    + golang-github-opencontainers-image-spec-dev
    + golang-github-shopify-logrus-bugsnag-dev
    + golang-github-xenolf-lego-dev
    + golang-protobuf-extensions-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 13 Sep 2019 02:50:26 +1000

docker-registry (2.6.2~ds1-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New patch to fix logrus imports.
  * (Build-)Depends:
    = golang-github-bshuster-repo-logrus-logstash-hook-dev (>= 0.4.1)
    = golang-github-sirupsen-logrus-dev (>= 1.0.2~)
  * Standards-Version: 4.1.4
  * Priority: optional
  * DH to version 11; compat to version 10.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 05 May 2018 23:49:53 +1000
