=== debian/control ===
--- 
+++ 
@@ -1,41 +1,48 @@
 Source: docker-registry
 Section: utils
-Priority: extra
+Priority: optional
+Standards-Version: 4.4.0
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>, Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 12~),
                dh-exec,
                dh-golang,
-               dh-systemd,
+               golang-any,
+               golang-check.v1-dev | golang-gopkg-check.v1-dev,
+               golang-github-aws-aws-sdk-go-dev,
+               golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-bshuster-repo-logrus-logstash-hook-dev (>= 0.4.1),
+               golang-github-bugsnag-bugsnag-go-dev,
                golang-github-docker-goamz-dev,
-               golang-github-aws-aws-sdk-go-dev,
-               golang-check.v1-dev | golang-gopkg-check.v1-dev,
-               golang-github-azure-azure-sdk-for-go-dev,
-               golang-github-bshuster-repo-logrus-logstash-hook-dev,
-               golang-github-bugsnag-bugsnag-go-dev,
+               golang-github-docker-go-metrics-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
                golang-github-gorilla-handlers-dev,
                golang-github-gorilla-mux-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-ncw-swift-dev (>= 0.0~git20151108),
-               golang-github-sirupsen-logrus-dev,
+               golang-github-opencontainers-go-digest-dev,
+               golang-github-opencontainers-image-spec-dev,
+               golang-github-rsc-letsencrypt-dev,
+               golang-github-shopify-logrus-bugsnag-dev,
+               golang-github-sirupsen-logrus-dev (>= 1.0.2~),
                golang-github-spf13-cobra-dev,
                golang-github-stevvooe-resumable-dev,
-               golang-any,
+               golang-github-xenolf-lego-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
-               golang-github-rsc-letsencrypt-dev,
+               golang-protobuf-extensions-dev,
                golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
-Standards-Version: 3.9.8
 Homepage: https://github.com/docker/distribution
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-distribution.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-distribution.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution.git
 XS-Go-Import-Path: github.com/docker/distribution
+Testsuite: autopkgtest-pkg-go
 
 Package: docker-registry
 Architecture: any
 Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, lsb-base
+Pre-Depends: ${misc:Pre-Depends}
 Built-Using: ${misc:Built-Using}
 Description: Docker toolset to pack, ship, store, and deliver content
  The Docker toolset to pack, ship, store, and deliver content.
@@ -62,13 +69,14 @@
          golang-github-aws-aws-sdk-go-dev,
 #         golang-github-azure-azure-sdk-for-go-dev,
          golang-github-bugsnag-bugsnag-go-dev,
+         golang-github-docker-go-metrics-dev,
          golang-github-docker-libtrust-dev,
          golang-github-garyburd-redigo-dev,
          golang-github-gorilla-handlers-dev,
          golang-github-gorilla-mux-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-ncw-swift-dev,
-         golang-github-sirupsen-logrus-dev | golang-logrus-dev,
+         golang-github-sirupsen-logrus-dev (>= 1.0.2~),
          golang-github-spf13-cobra-dev,
          golang-github-stevvooe-resumable-dev,
          golang-golang-x-crypto-dev,
