## docker-registry 2.7.1%2Bds2

=== debian/changelog ===
docker-registry (2.7.1+ds2-7ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: runaway memory allocation
    - debian/patches/CVE-2023-2253.patch: introduced a Catalog entry
      in the configuration struct to control the maximum amount of entries
      returned by /v2/catalog.
    - CVE-2023-2253

 -- Allen Huang <allen.huang@canonical.com>  Tue, 29 Aug 2023 23:23:29 +0100

docker-registry (2.7.1+ds2-7ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 18 Jan 2023 12:26:35 +0100

docker-registry (2.7.1+ds2-7ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 00:52:38 +0200

docker-registry (2.7.1+ds2-7) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * New patch to remove obsolete "golang-github-rsc-letsencrypt-dev".

  [ Arnaud Rebillout ]
  * Update letsencrypt patch per upstream PR 2926

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Tue, 07 Jan 2020 15:30:10 +0700

docker-registry (2.7.1+ds2-6) unstable; urgency=medium

  * Update patch config-docker-registry (Closes: #948217)

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Tue, 07 Jan 2020 09:32:17 +0700

docker-registry (2.7.1+ds2-5) unstable; urgency=medium

  * Disable azure support (patch it out)
  * Rename TODO.Debian to TODO

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Mon, 16 Dec 2019 10:51:27 +0700

docker-registry (2.7.1~ds1-4) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Minor adjustments in the build depend tree, cleanup here and there.

  [ Dmitry Smirnov ]
  * Standards-Version: 4.4.1
  * rules: don't call 'dpkg-parsechangelog'.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Dec 2019 14:41:44 +1100

docker-registry (2.7.1~ds1-3) unstable; urgency=medium

  * dev: Depends += "opencontainers-{go-digest,image-spec}-dev".
  * Add myself to uploaders, update maintainer field.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Tue, 05 Nov 2019 13:05:17 +1100
