## docker-registry 2.7.1+ds2

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: docker-registry
 Section: utils
 Priority: optional
-Standards-Version: 4.4.0
-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>, Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 12~),
+Standards-Version: 4.4.1
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
+           Dmitry Smirnov <onlyjob@debian.org>,
+           Tianon Gravi <tianon@debian.org>,
+           Tim Potter <tpot@hpe.com>,
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                dh-golang,
                golang-any,
-               golang-check.v1-dev | golang-gopkg-check.v1-dev,
                golang-github-aws-aws-sdk-go-dev,
-               golang-github-azure-azure-sdk-for-go-dev,
                golang-github-bshuster-repo-logrus-logstash-hook-dev (>= 0.4.1),
                golang-github-bugsnag-bugsnag-go-dev,
-               golang-github-docker-goamz-dev,
                golang-github-docker-go-metrics-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
@@ -23,16 +23,14 @@
                golang-github-ncw-swift-dev (>= 0.0~git20151108),
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
-               golang-github-rsc-letsencrypt-dev,
                golang-github-shopify-logrus-bugsnag-dev,
                golang-github-sirupsen-logrus-dev (>= 1.0.2~),
                golang-github-spf13-cobra-dev,
-               golang-github-stevvooe-resumable-dev,
-               golang-github-xenolf-lego-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
+               golang-gopkg-check.v1-dev,
+               golang-gopkg-yaml.v2-dev,
                golang-protobuf-extensions-dev,
-               golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
 Homepage: https://github.com/docker/distribution
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution.git
@@ -67,7 +65,6 @@
 Architecture: all
 Depends: ${misc:Depends},
          golang-github-aws-aws-sdk-go-dev,
-#         golang-github-azure-azure-sdk-for-go-dev,
          golang-github-bugsnag-bugsnag-go-dev,
          golang-github-docker-go-metrics-dev,
          golang-github-docker-libtrust-dev,
@@ -76,14 +73,14 @@
          golang-github-gorilla-mux-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-ncw-swift-dev,
+         golang-github-opencontainers-go-digest-dev,
+         golang-github-opencontainers-image-spec-dev,
          golang-github-sirupsen-logrus-dev (>= 1.0.2~),
          golang-github-spf13-cobra-dev,
-         golang-github-stevvooe-resumable-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
-         golang-gopkg-check.v1-dev | golang-check.v1-dev,
-         golang-github-rsc-letsencrypt-dev,
-         golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev,
+         golang-gopkg-check.v1-dev,
+         golang-gopkg-yaml.v2-dev,
 Description: Docker toolset to pack, ship, store, and deliver content (source)
  The Docker toolset to pack, ship, store, and deliver content.
  .
