## docker-registry 2.8.0+ds1

=== debian/changelog ===
docker-registry (2.8.0+ds1-4ubuntu0.1~esm2) jammy-security; urgency=medium

  * SECURITY UPDATE: runaway memory allocation
    - debian/patches/CVE-2023-2253.patch: introduced a Catalog entry
      in the configuration struct to control the maximum amount of entries
      returned by /v2/catalog.
    - CVE-2023-2253
  * debian/patches/0009-Fix-panic-in-inmemory-driver.patch: fixed panic
    in inmemory driver

 -- Allen Huang <allen.huang@canonical.com>  Thu, 31 Aug 2023 10:26:27 +0100

docker-registry (2.8.0+ds1-4) unstable; urgency=medium

  * Team upload
  * Skip failed tests
    + Flaky: TestGracefulShutdown and TestRegistrySupportedCipherSuite
    + Need network: TestRegistryAsCacheMutationAPIs

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 11 Feb 2022 14:27:09 +0800

docker-registry (2.8.0+ds1-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * Try to fix tests by increase timeout and sleep time

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 11 Feb 2022 02:11:51 +0800

docker-registry (2.8.0+ds1-2) experimental; urgency=medium

  * Team upload
  * Increase test timeout as it timed out on mipsel
  * Drop dh-exec

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 09 Feb 2022 00:56:46 +0800

docker-registry (2.8.0+ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream release v2.8.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 08 Feb 2022 01:35:42 +0800
