## docker-registry 2.8.1+ds1

=== debian/changelog ===
docker-registry (2.8.1+ds1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 29 Jun 2022 13:32:34 +0100

docker-registry (2.8.1+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.8.1+ds1
  * Fix panic in inmemory driver (Closes: #1008429)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Mar 2022 19:44:35 +0800
