=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
            Dmitry Smirnov <onlyjob@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper-compat (= 12),
-               dh-exec,
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-aws-aws-sdk-go-dev,
-               golang-github-bshuster-repo-logrus-logstash-hook-dev (>= 0.4.1),
+               golang-github-bshuster-repo-logrus-logstash-hook-dev,
                golang-github-bugsnag-bugsnag-go-dev,
                golang-github-docker-go-metrics-dev,
                golang-github-docker-libtrust-dev,
@@ -20,28 +19,30 @@
                golang-github-gorilla-handlers-dev,
                golang-github-gorilla-mux-dev,
                golang-github-mitchellh-mapstructure-dev,
-               golang-github-ncw-swift-dev (>= 0.0~git20151108),
+               golang-github-ncw-swift-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
                golang-github-shopify-logrus-bugsnag-dev,
-               golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+               golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-golang-x-crypto-dev,
-               golang-golang-x-net-dev,
                golang-gopkg-check.v1-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-protobuf-extensions-dev,
 Homepage: https://github.com/docker/distribution
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution.git
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/docker/distribution
-Testsuite: autopkgtest-pkg-go
 
 Package: docker-registry
 Architecture: any
-Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, lsb-base
-Pre-Depends: ${misc:Pre-Depends}
-Built-Using: ${misc:Built-Using}
+Depends: adduser,
+         lsb-base,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends},
+Built-Using: ${misc:Built-Using},
 Description: Docker toolset to pack, ship, store, and deliver content
  The Docker toolset to pack, ship, store, and deliver content.
  .
@@ -63,8 +64,7 @@
 
 Package: golang-github-docker-distribution-dev
 Architecture: all
-Depends: ${misc:Depends},
-         golang-github-aws-aws-sdk-go-dev,
+Depends: golang-github-aws-aws-sdk-go-dev,
          golang-github-bugsnag-bugsnag-go-dev,
          golang-github-docker-go-metrics-dev,
          golang-github-docker-libtrust-dev,
@@ -75,12 +75,11 @@
          golang-github-ncw-swift-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev,
-         golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+         golang-github-sirupsen-logrus-dev,
          golang-github-spf13-cobra-dev,
          golang-golang-x-crypto-dev,
-         golang-golang-x-net-dev,
-         golang-gopkg-check.v1-dev,
          golang-gopkg-yaml.v2-dev,
+         ${misc:Depends},
 Description: Docker toolset to pack, ship, store, and deliver content (source)
  The Docker toolset to pack, ship, store, and deliver content.
  .
