## docker-registry 2.8.2+ds1

=== debian/changelog ===
docker-registry (2.8.2+ds1-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 12:36:30 +1000

docker-registry (2.8.2+ds1-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 25 Oct 2024 14:42:12 +1000

docker-registry (2.8.2+ds1-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 12:56:32 +0530

docker-registry (2.8.2+ds1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:46 +1200

docker-registry (2.8.2+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.8.2+ds1
    + CVE-2023-2253: Catalog API endpoint can lead to OOM via malicious user
      input (Closes: #1035956)
  * Drop patch merged by upstream
    + 0009-Fix-panic-in-inmemory-driver.patch

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 13 May 2023 23:21:12 +0800
