## docker-registry 2.8.3+ds1

=== debian/changelog ===
docker-registry (2.8.3+ds1-2) unstable; urgency=medium

  * Team upload.
  * Remove Arnaud and Tim from Uploaders field
  * Normalize fields with wrap-and-sort
  * Add missing dependency on golang-github-distribution-reference-dev

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Sep 2024 07:25:27 -0400

docker-registry (2.8.3+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream release: 2.8.3
  * Provide an empty htpasswd file, Closes: #102338
  * Depend on golang-distribution-reference-dev
  * Avoid depends on deprecated 'lsb-base'
  * Skip flaky TestDeleteOnlyDeletesSubpaths, Closes: #1078495
  * Bump Standards-Version

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Aug 2024 07:46:08 -0400
