=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: docker-registry
 Section: utils
 Priority: optional
-Standards-Version: 4.4.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
-           Dmitry Smirnov <onlyjob@debian.org>,
-           Tianon Gravi <tianon@debian.org>,
-           Tim Potter <tpot@hpe.com>,
+Standards-Version: 4.7.0
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
+           Tianon Gravi <tianon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-bshuster-repo-logrus-logstash-hook-dev,
                golang-github-bugsnag-bugsnag-go-dev,
+               golang-github-distribution-reference-dev (>> 0.6.0-4~~),
                golang-github-docker-go-metrics-dev,
                golang-github-docker-libtrust-dev,
                golang-github-garyburd-redigo-dev,
@@ -28,7 +26,7 @@
                golang-github-spf13-cobra-dev,
                golang-golang-x-crypto-dev,
                golang-gopkg-check.v1-dev,
-               golang-gopkg-yaml.v2-dev,
+               golang-gopkg-yaml.v2-dev
 Homepage: https://github.com/docker/distribution
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-distribution.git
@@ -38,12 +36,9 @@
 
 Package: docker-registry
 Architecture: any
-Depends: adduser,
-         lsb-base,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Pre-Depends: ${misc:Pre-Depends},
-Built-Using: ${misc:Built-Using},
+Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Built-Using: ${misc:Built-Using}
 Description: Docker toolset to pack, ship, store, and deliver content
  The Docker toolset to pack, ship, store, and deliver content.
  .
@@ -65,8 +60,10 @@
 
 Package: golang-github-docker-distribution-dev
 Architecture: all
+Section: golang
 Depends: golang-github-aws-aws-sdk-go-dev,
          golang-github-bugsnag-bugsnag-go-dev,
+         golang-github-distribution-reference-dev (>> 0.6.0-4~~),
          golang-github-docker-go-metrics-dev,
          golang-github-docker-libtrust-dev,
          golang-github-garyburd-redigo-dev,
@@ -80,7 +77,7 @@
          golang-github-spf13-cobra-dev,
          golang-golang-x-crypto-dev,
          golang-gopkg-yaml.v2-dev,
-         ${misc:Depends},
+         ${misc:Depends}
 Description: Docker toolset to pack, ship, store, and deliver content (source)
  The Docker toolset to pack, ship, store, and deliver content.
  .
