=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 execute_after_dh_auto_install:
 	mv debian/tmp/usr/bin/registry debian/tmp/usr/bin/docker-registry
 	mkdir -p debian/tmp/etc/docker/registry
+	touch debian/tmp/etc/docker/registry/htpasswd
 	cp cmd/registry/config-example.yml debian/tmp/etc/docker/registry/config.yml
 
 override_dh_auto_test:
